Subject: bug#13580: 24.2.92; regression in calc-convert-units

From: "Roland Winkler" <[email-masked]>
Date: Thu, 7 Feb 2013 14:24:07 -0600

On Thu Feb 7 2013 Jay Belanger wrote:
> convert:
>  3 ft/in
> This is simply 36.  There are no units here, so Calc asks for the old
> units.  Since someone might wonder why Calc is asking for units, there
> is a message pointing out the expression doesn't have any.

Please recognize the difference between dimensionless and unitless.
3 ft/in is dimensionless, but it has the unit "ft/in". 
As calc-convert-units is about converting units and (I suppose)
nothing else, there is no need to ask the user here. If the user
entered "kg" as the old unit of "3 ft / in" this makes no sense.

Please, trust the user she knows what she wants. The new behavior is
a regression.

Roland